API KeysList API keys
API Keys

List API keys

Retrieve all MCP API keys. Secret values are masked in the response.

curl -X GET "https://api.mythic-analytics.com/api/v1/mcp/api-keys" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "mak_7kH3nPqR",
      "name": "Production Gateway Key",
      "key_prefix": "mak_7kH3",
      "scopes": [
        "tools:execute",
        "tools:read"
      ],
      "expires_at": "2024-12-25T10:00:00Z",
      "last_used_at": "2024-12-25T10:00:00Z",
      "created_at": "2024-05-01T10:00:00.000Z"
    }
  ],
  "count": 2
}
GET
/mcp/api-keys
GET
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Responses

successboolean
dataarray
countinteger